.leftbar {
  display: flex;
  flex-direction: column;

  height: 100%;
  width: 280px;
  background: rgba(156, 165, 236, 0.04);
}

.leftbar-link {
	height: 56px;
}
.leftbar-logo {
  align-self: start;
  height: 37px;
  margin-top: 19px;
  margin-left: 30px;
  cursor: pointer;
}

.divider {
  width: 280px;
  min-height: 1px;
  background: #d8d8d8;
}

.leftbar-divider {
  margin-top: 15px;
  opacity: 0.1;
}

.leftbar-menu {
  margin-top: 17px;
	overflow: auto;
}

.menu-item {
  margin-top: 13px;
  margin-left: 30px;
  margin-right: 30px;

  display: flex;
  cursor: pointer;
  flex-direction: column;
}

.item-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.item-title {
  line-height: 20px;
  letter-spacing: 1px;
  text-transform: uppercase;
}

.item-arrow.active {
  transform: rotate(180deg);
}

.item-container:hover .item-title {
  opacity: 0.5;
}

.item-container:hover .item-arrow {
  opacity: 0.5;
}

.menu-submenu {
  --height: 0px;
  margin-left: 20px;
  display: flex;
  flex-direction: column;
  opacity: 0;
  max-height: var(--height);
  transition: all 300ms ease-in-out;
  visibility: hidden;
}

.menu-submenu.active {
  margin-top: 18px;
  opacity: 1;
  visibility: visible;
}

.submenu-item {
  position: relative;
  display: flex;
  height: 40px;
  align-items: center;
}

.submenu-item:hover .submenu-icon,
.submenu-item.active .submenu-icon {
  opacity: 1;
}

.submenu-item:hover .submenu-title,
.submenu-item.active .submenu-title {
  opacity: 1;
}

.submenu-item:active .submenu-icon,
.submenu-item.active .submenu-icon {
  color: #6f6eff;
}

.item-background {
  width: 280px;
  height: 40px;
  position: absolute;
  margin-left: -50px;
  overflow: hidden;
  display: none;
  background: linear-gradient(
    135deg,
    rgba(255, 255, 255, 0.03) 0%,
    rgba(255, 255, 255, 0.03) 93.97%
  );
}

.submenu-item:active .item-background,
.submenu-item.active .item-background {
  display: block;
}

.background-border {
  height: 100%;
  width: 3px;
  background: #6f6eff;
  box-shadow: 0px 0px 12px rgba(111, 110, 255, 0.5);
}

.html-title {
  margin-left: 24px;
}

.rocket-icon {
  margin-left: 3px;
}

.git-title {
  margin-left: 27px;
}

.puzzle-icon {
  margin-left: 2px;
}

.js-title {
  margin-left: 26px;
}

.rook-icon {
  margin-left: 3px;
}

.react-title {
  margin-left: 27px;
}

.cube-icon {
  margin-left: 1px;
}

.angular-title {
  margin-left: 25px;
}

.ball-icon {
  margin-left: 1px;
}

.data-title {
  margin-left: 25px;
}

.menu-divider {
  margin-top: 20px;
  margin-bottom: 20px;
  opacity: 0.06;
}

.leftbar-switcher {
  margin-top: auto;
  margin-left: 30px;
  margin-bottom: 31px;
  width: 220px;
  height: 22px;

  display: flex;
  justify-content: space-between;
  align-items: center;
}

.switcher-container {
  position: relative;
  width: 42px;
  height: 22px;
}

.switcher-border {
  height: 100%;

  opacity: 0.2;
  border: 1px solid #ffffff;
  box-sizing: border-box;
  border-radius: 15px;
}

.switcher-button {
  position: absolute;
  top: 3px;
  left: 3px;

  background: #fff;
  opacity: 0.5;

  width: 16px;
  height: 16px;
  border-radius: 50%;

  cursor: pointer;
}

.switcher-button:checked {
  left: unset;
  right: 3px;
  opacity: 1;
  background: #6f6eff;
  box-shadow: 0px 0px 12px rgba(111, 110, 255, 0.5);
}

.switcher-text {
  cursor: pointer;
}

.switcher-text:hover {
  opacity: 1;
}

@media screen and (max-width: 576px) {
	.leftbar {
		display: none;
	}
	.leftbar-link {
		display: flex;
		align-items: center;
	}
	.leftbar-logo {
		align-self: unset;
		margin: 0;
	}
	.leftbar-menu {
		display: none;
	}
	.menu-divider{
		display: none;
	}
	.leftbar-switcher {
		display: none;
	}
}